## fll-live-initramfs 2.9.16

=== debian/changelog ===
fll-live-initramfs (2.9.16) unstable; urgency=medium

  * repair detection of live medium

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 16 Oct 2022 13:53:12 +0200

fll-live-initramfs (2.9.15.2) unstable; urgency=medium

  * new version without calamares changes

 -- Alf Gaida <agaida@siduction.org>  Wed, 25 Jan 2017 00:20:43 +0100

fll-live-initramfs (2.9.14) unstable; urgency=medium

  [ Stefan Lippers-Hollmann ]
  * NOT RELEASED YET

  [ Alf Gaida ]
  * release it, only two siduction changes, ehci and thin-prov

 -- Alf Gaida <agaida@siduction.org>  Sat, 25 Jun 2016 13:38:20 +0200

fll-live-initramfs (2.9.13) unstable; urgency=medium

  * fix lintian warning:
    command-with-path-in-maintainer-script postinst: /usr/sbin/update-initramfs
    rely on $(which update-initramfs) instead.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Mar 2016 02:46:10 +0100

fll-live-initramfs (2.9.12) unstable; urgency=medium

  * fix F.U.L.L.S.T.O.R.Y. homepage URL.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Mar 2016 02:43:23 +0100

fll-live-initramfs (2.9.11) unstable; urgency=medium

  * remove the udevadm trigger+settle dance again for testing, this should be
    fixed in udev 221.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 04 Jul 2015 23:15:40 +0200

fll-live-initramfs (2.9.10) unstable; urgency=medium

  * for now run udevadm trigger+settle in scripts/fll (for single-core
    systems).

 -- Niall Walsh <niallwalsh@celtux.org>  Fri, 19 Jun 2015 04:54:59 +0100

fll-live-initramfs (2.9.9) unstable; urgency=medium

  * revert running scripts/init-top/udev for testing, udev seems to be fixed.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 19 Jun 2015 00:34:12 +0200

fll-live-initramfs (2.9.8) unstable; urgency=medium

  * run scripts/init-top/udev (again) from scripts/fll as it appears to
    be running too early.

 -- Niall Walsh <niallwalsh@celtux.org>  Tue, 09 Jun 2015 20:19:10 +0100

fll-live-initramfs (2.9.7) unstable; urgency=medium

  * drop versioned dependency on initramfs-tools, it's provided by all
    relevant Debian releases.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 04 Jan 2015 01:34:26 +0100

fll-live-initramfs (2.9.6) unstable; urgency=medium

  * bump standards version to 3.9.6, no changes necessary.
  * convert to machine readable copyright.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 03 Jan 2015 19:56:56 +0100

fll-live-initramfs (2.9.5) unstable; urgency=medium

  * get rid of the extraneous -v for awk left behind in the last change.

 -- Niall Walsh <niallwalsh@celtux.org>  Sun, 21 Dec 2014 23:43:19 +0000

fll-live-initramfs (2.9.4) unstable; urgency=medium

  * fix toram typo and tweak figures to be more caustiously realistic.

 -- Niall Walsh <niallwalsh@celtux.org>  Sun, 21 Dec 2014 22:49:40 +0000

fll-live-initramfs (2.9.3) unstable; urgency=medium

  * fix broken awk in detection of toram size and count both squashfs sizes.

 -- Niall Walsh <niallwalsh@celtux.org>  Sun, 21 Dec 2014 14:34:34 +0000

fll-live-initramfs (2.9.2) unstable; urgency=medium

  * fixup md5sum for fromhd squashfs partition case.

 -- Niall Walsh <niallwalsh@celtux.org>  Mon, 08 Dec 2014 19:49:01 +0000

fll-live-initramfs (2.9.1) unstable; urgency=medium

  * mount up secondary squashfs and fixup toram.

 -- Niall Walsh <niallwalsh@celtux.org>  Mon, 08 Dec 2014 02:05:44 +0000

fll-live-initramfs (2.9.0) unstable; urgency=medium

  * s/overlayfs/overlay/.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 22 Nov 2014 18:32:03 +0100

fll-live-initramfs (2.8.3) unstable; urgency=medium

  * fix fix logic error when detecting the unioning method once more.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 28 Oct 2014 13:29:25 +0100

fll-live-initramfs (2.8.2) unstable; urgency=medium

  * fix logic error when detecting the unioning method.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 28 Oct 2014 13:10:58 +0100

fll-live-initramfs (2.8.1) unstable; urgency=medium

  * detect the available FLL_UNION_MODULE automatically.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 28 Oct 2014 06:10:30 +0100

fll-live-initramfs (2.8.0) unstable; urgency=medium

  * (re-)indent code and add overlayfs cheatcode.
  * drop dmsetup code.
  * drop unionfs code.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 28 Oct 2014 02:49:26 +0100

fll-live-initramfs (2.7.19) unstable; urgency=medium

  * fixup toram fssize and handling of mount juggling.

 -- Niall Walsh <niallwalsh@celtux.org>  Mon, 27 Oct 2014 22:58:07 +0000

fll-live-initramfs (2.7.18) unstable; urgency=medium

  * add overlayfs support.

 -- Niall Walsh <niallwalsh@celtux.org>  Sun, 26 Oct 2014 23:05:17 +0000

fll-live-initramfs (2.7.17) unstable; urgency=medium

  * allow squashfs under gpt partlabel matching uuid as discovered device.

 -- Niall Walsh <niallwalsh@celtux.org>  Wed, 22 Oct 2014 14:19:42 +0100

fll-live-initramfs (2.7.16) unstable; urgency=medium

  * drop support for classic persistence.
  * add udev override handling and setting the hostname into the initramfs
    hook.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 30 Aug 2014 23:04:26 +0200

fll-live-initramfs (2.7.15) unstable; urgency=medium

  * drop special handling for /etc/machine-id, it's now handled via pyfll
    itself.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 22 Jun 2014 23:08:49 +0200

fll-live-initramfs (2.7.14) unstable; urgency=medium

  * debian/control: switch Vcs tags to github.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 13 Apr 2014 22:18:59 +0200

fll-live-initramfs (2.7.13) unstable; urgency=low

  * generate a unique machine id for systemd.
  * bump standards version to 3.9.5, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 02 Mar 2014 18:00:10 +0100

fll-live-initramfs (2.7.12) unstable; urgency=low

  * selinuxfs is now mounted at /sys/fs/selinux/, don't create /selinux/
    anymore.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 07 May 2013 18:26:53 +0200


