=== debian/control ===
Source: fll-live-initramfs
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Uploaders: Niall Walsh <niallwalsh@celtux.org>,
           Alf Gaida <agaida@siduction.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 9.20120115)
Standards-Version: 3.9.8
Vcs-Browser: https://github.com/fullstory/fll-live-initramfs
Vcs-Git: git://github.com/fullstory/fll-live-initramfs.git

Package: fll-live-initramfs
Architecture: all
Depends: ${misc:Depends},
 busybox,
 distro-defaults,
 initramfs-tools
Suggests: lvm2,
 nbd-client
Description: fll live media initramfs glue
 This package provides the script glue that allows initramfs-tools to
 generate an early userspace filesystem suitable for booting the live
 media of the F.U.L.L.S.T.O.R.Y project.
 .
 This is a FULLSTORY live-only package and must not be installed to an
 ordinary system.
