=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_fixperms:
	dh_fixperms
	chmod 0755 debian/fll-live-initramfs/usr/share/initramfs-tools/*/fll
