## fll-live-initramfs 4.0.24

=== debian/changelog ===
fll-live-initramfs (4.0.24) unstable; urgency=medium

  [ Kel Modderman ]
  * If fromhd= boot parameter is used, do not attempt to boot directly from
    partition by uuid to preserve fromiso functionality.
  * Don't attempt to mount by partition by uuid when iso uuid matches.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 22 Oct 2025 21:33:55 +0200

fll-live-initramfs (4.0.23) unstable; urgency=medium

  [ Kel Modderman ]
  * Tweak logic around handling of boot process when rootfs_uuid is given
    as a boot parameter to reject all block devices without a matching
    ID_FS_UUID.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 10 Oct 2025 18:28:35 +0200

fll-live-initramfs (4.0.22) unstable; urgency=medium

  [ Kel Modderman ]
  * Remove uuid= cheatcode handling, I had put it in the incorrect spot
    anyhow.
  * Remove squashfs from filesystem whitelist for device/partition
    matching.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 08 Oct 2025 00:52:14 +0200

fll-live-initramfs (4.0.21) unstable; urgency=medium

  [ Kel Modderman ]
  * Make persistent COW rootfs UUID specific.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 07 Oct 2025 23:32:25 +0200

fll-live-initramfs (4.0.20) unstable; urgency=medium

  [ Kel Modderman ]
  * Add experimental persist_uuid cheatcode.
  * Provide logic for accessing GPT partition directly rather than via
    iso9660 file.
  * Rename uuid cheatcode to iso_uuid.
  * Add rootfs_uuid cheatcode.
  * Only accept partitions when rootfs_uuid is given.
  * Whitelist erofs and squashfs filesystems.
  * Get fstype of persist_uuid before attempting mount.
  * Mount persist volume with noatime option.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 04 Oct 2025 19:06:46 +0200

fll-live-initramfs (4.0.19) unstable; urgency=medium

  [ Kel Modderman ]
  * Do whole word matching when grepping /proc/mounts.
  * Add jfs|f2fs|exfat|udf to the filesystem whitelist.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 20 Aug 2025 21:32:14 +0200

fll-live-initramfs (4.0.18) unstable; urgency=medium

  [ Kel Modderman ]
  * Start debug trace early as possible if fll=debug is given on cmdline.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 18 Aug 2025 21:41:08 +0200

fll-live-initramfs (4.0.17) unstable; urgency=medium

  [ Kel Modderman ]
  * Canonicalize device node before comparison with $DEVNAME.
  * Dump environment variables when debugging.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 18 Aug 2025 19:00:40 +0200

fll-live-initramfs (4.0.16) unstable; urgency=medium

  [ Kel Modderman ]
  * Support fromhd=/dev/disk/by-uuid/ as well as fromhd=UUID=, which is
    a boot parameter passed on by grub2-fll-fromiso.
  * If fromhd=/dev/* is provided as a boot parameter, and it is not
    fromhd=/dev/disk/by-uuid/, then only probe the block device node if
    it is a name match.
  * Remove a couple of unnecessary variables from scripts/fll.
  * Remove no_static_dev variable and unnecessary check for quiet variable
    when logging messages.
  * Add debug logging.
  * Do not echo while setting up timezone.
  * Avoid attempting to move mount the same mount more than once.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 18 Aug 2025 15:48:52 +0200

fll-live-initramfs (4.0.15) unstable; urgency=medium

  * add ntfs/ vfat to whitelisted filesystems, thanks to Kel.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 18 Aug 2025 01:20:18 +0200

fll-live-initramfs (4.0.14) unstable; urgency=medium

  [ Kel Modderman ]
  * Check /proc/mounts before calling umount of iso and block device media
    during toram routine.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 31 Jul 2025 13:26:32 +0200

fll-live-initramfs (4.0.13) unstable; urgency=medium

  [ Kel Modderman ]
  * Lazy umount original iso and block device mountpoints after toram
    operation completes.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 28 Jul 2025 02:35:14 +0200

fll-live-initramfs (4.0.12) unstable; urgency=medium

  [ Kel Modderman ]
  * Add of_pmem module to initramfs for UEFI http boot support on device
    tree architectures.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 26 Jul 2025 04:06:30 +0200

fll-live-initramfs (4.0.11) unstable; urgency=medium

  [ Kel Modderman ]
  * Add pmem modules for amd64 (nd_pmem, nfit) for UEFI HTTP boot support.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 22 Jul 2025 05:19:24 +0200

fll-live-initramfs (4.0.10) unstable; urgency=medium

  [ Kel Modderman ]
  * toram: print input and output files.
  * shutdown: remove debug code no longer neccessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 18 Jul 2025 06:45:47 +0200

fll-live-initramfs (4.0.9) unstable; urgency=medium

  [ Kel Modderman ]
  * Reimplement toram bot cheatcode.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Jul 2025 05:17:10 +0200

fll-live-initramfs (4.0.8) unstable; urgency=medium

  [ Kel Modderman ]
  * Update both calamares unpackfs(c).conf with readonly fstype

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 09 Jul 2025 19:02:11 +0200

fll-live-initramfs (4.0.7) unstable; urgency=medium

  [ Kel Modderman ]
  * No longer remount /run with exec - this should be managed by shell
    script fragment installed by fll-live-initscripts.
  * Check sha256 checksum instead of md5.
  * Add support for erofs.
  * Remove hardcoded squashfs check.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 08 Jul 2025 06:48:45 +0200

fll-live-initramfs (4.0.6) unstable; urgency=medium

  [ Kel Modderman ]
  * Tweak error condition when blockdev has been probed before.
  * No longer touch $rootmnt/fastboot, systemd prefers fsck.mode=skip to be
    set on cmdline instead.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 22 Jun 2025 07:14:38 +0200

fll-live-initramfs (4.0.5) unstable; urgency=medium

  [ Kel Modderman ]
  * Update comments in scripts/fll and fll.initramfs.
  * Merge more functionality from scripts/fll to fll.initramfs to keep rootfs
    related code together.


