=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: fll-live-initramfs
 Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
-Uploaders: Niall Walsh <niallwalsh@celtux.org>,
-           Alf Gaida <agaida@siduction.org>
+Uploaders: Kel Modderman <kelvmod@gmail.com>,
+ Niall Walsh <niallwalsh@celtux.org>
 Section: misc
-Priority: extra
-Build-Depends: debhelper (>= 9.20120115)
-Standards-Version: 3.9.8
+Priority: optional
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Vcs-Browser: https://github.com/fullstory/fll-live-initramfs
-Vcs-Git: git://github.com/fullstory/fll-live-initramfs.git
+Vcs-Git: https://github.com/fullstory/fll-live-initramfs.git
 
 Package: fll-live-initramfs
 Architecture: all
