## fll-live-initramfs 5.0.0

=== debian/changelog ===
fll-live-initramfs (5.0.0) unstable; urgency=medium

  [ Kel Modderman ]
  * Simplify live media mount logic so that iso9660fs or iso file logic
    is used when fromiso cheatcode is given, or persist_uuid cheatcode is
    not given.
  * Remove live hashsum logic - one is calculated for the iso media and
    that is enough.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 27 Nov 2025 02:27:52 +0100
