## fll-live-initramfs 20251214.1

=== debian/changelog ===
fll-live-initramfs (20251214.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Switch to date release version numbering.
  * Add initial, optimistic, speculative, and untested dracut configuration
    and associate module as a starting point for future migration from
    initramfs-tools.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 14 Dec 2025 20:39:27 +0100
