## fll-live-initramfs 20251216.3

=== debian/changelog ===
fll-live-initramfs (20251216.3) unstable; urgency=medium

  [ Kel Modderman ]
  * Revert experimental omit_dracutmodule settings.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 16 Dec 2025 05:07:13 +0100

fll-live-initramfs (20251216.2) unstable; urgency=medium

  [ Kel Modderman ]
  * Drop kernel_cmdline= from fll dracut module.
  * Experiment with omit_dracutmodule: systemd systemd-cryptsetup
    network bluetooth.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 16 Dec 2025 04:55:34 +0100

fll-live-initramfs (20251216.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Speculatively set a couple of dracut specific markers for:
    - declaring root was found
    - declaring systemd shutdown (exitrd) should be setup
  * Execute fll scripts during mount phase of dracut init.
  * Simplify execution of fll hook - do it directly instead of via
    initqueue.
  * rd.fll is not present in /proc/cmdline so do not parse.
  * Migrate from /fll to /run/fll and no longer try to mount -o move the
    live specific mounts.
  * Create readonlyfs symlink in /run and not $root/run (which does not
    yet exist).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 16 Dec 2025 04:44:37 +0100
