## fll-live-initramfs 20251224.1

=== debian/changelog ===
fll-live-initramfs (20251224.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Move initramfs-tools infra into subfolder of same name and adjust
    debian/rules.
  * Add the following modules explicitly to dracut initramfs:
    - overlay (required for live cow overlay)
    - of_pmem nd_pmem nfit (required for UEFI http boot)
    - change ntfs to ntfs3
  * Add utilities to dracut initramfs:
    - eject (for legacy ejection of physical cd/dvd media)
    - systemd-detect-virt (to avoid ejection in virt envs)
  * Add fll.shutdown to exit-initramfs in dracut initramfs.
  * Adapt initramfs-tools eject logic so it may be shared with dracut
    initramfs unconditionally.
  * Simplify noeject logic by making eject on shutdown conditional on
    /dev/fll-cdrom, and /dev/fll-cdrom conditional on absence of virt or
    no eject cheatcode.
  * Add debug logging to dracut fll script.
  * Simplify log init from initramfs-tools fll script.
  * Revise utilities required in dracut initramfs and avoid use of touch
    by using shell redirection.
  * Accept fll.debug and fll=debug cheatcodes for debugging.
  * Add some copyright and license headers to the dracut scripts.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 25 Dec 2025 04:57:30 +0100

fll-live-initramfs (20251221.3) unstable; urgency=medium

  [ Kel Modderman ]
  * Recommend busybox and eject.
  * Promote dracut to preferred initramfs dependency.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 23 Dec 2025 03:30:03 +0100

fll-live-initramfs (20251221.2) unstable; urgency=medium

  [ Kel Modderman ]
  * Set dracut as default initramfs generator.
  * Remove awk code in copy_with_perc function and simplify, the output
    is rarely seen these days and especially so in systemd environment.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 22 Dec 2025 00:50:32 +0100

fll-live-initramfs (20251221.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Update calamares by setting readonly fstype and initramfs tool

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 21 Dec 2025 02:42:48 +0100
