=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
 Package: fll-live-initramfs
 Architecture: all
 Depends: ${misc:Depends},
- busybox,
  distro-defaults,
- initramfs-tools | dracut
-Suggests: lvm2,
- nbd-client
+ dracut | initramfs-tools,
+ eject
+Recommends: busybox
 Description: fll live media initramfs glue
  This package provides the script glue that allows initramfs-tools or
  dracut to generate an early userspace filesystem suitable for booting
