## fll-live-initramfs 20260126.1

=== debian/changelog ===
fll-live-initramfs (20260126.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Prepend FLL_ to CUSTOM_HOSTNAME and CUSTOM_TZ variables in
    fll.initramfs.
  * Remove the intermediary TZ variable in timzeone logic.
  * If no timezone has been specified by the owner via grub or
    cheatcode, fallback to Etc/UTC and configure calamares to select a
    timezone via geoip. Also disable use of system tz configuration.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 26 Jan 2026 13:18:21 +0100
